Subject: [Netconf] restconf error code bug

From: Martin Bjorklund <[email-masked]>
Date: Tue, 31 May 2016 09:26:02 +0200 (CEST)

Hi,

The RESTCONF draft lists a mapping from NETCONF error tags to HTTP
error codes.  It maps "too-big" to "413".  But this is not entirely
correct.  "too-big" is used when either the request is too large or the
response would be too large.  413 is only used when the request is too
large.

It is not entirely clear which HTTP error code is appropriate when the
response would be too large.  403 seems to be recommended.  Maybe we
should check with the HTTP WG.

/martin